version: '3.4'

services:
  managing.api:
    image: ${DOCKER_REGISTRY-}managingapi
    build:
      context: ../.
      dockerfile: Managing.Api/Dockerfile
    networks:
      - managing-network
    hostname: managing-api

  influxdb:
    image: influxdb:latest
    networks:
      - managing-network

  postgres:
    image: postgres:17.5
    networks:
      - managing-network

  redis:
    image: redis:8.0.3
    volumes:
      - redis_data:/data
    networks:
      - managing-network

volumes:
  influxdata: {}
  postgresdata: {}
  redis_data: {}

networks:
  managing-network:
    name: managing-network
    driver: bridge